View Issue Details

IDProjectCategoryView StatusLast Update
0003225FreeCADBugpublic2017-11-08 22:21
ReporterJoshMAssigned Toeivindkvedalen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target VersionFixed in Version0.17 
Summary0003225: Inserting Rows prior to a cell containing a calculation referencing cells moved by an INSERT-ROW causes errors.
DescriptionI found a bug that has been verified in the SPREADSHEET workbench, where inserting Rows will generate errors in certain instances. It is described in a thread on the Freecad forums:

https://forum.freecadweb.org/viewtopic.php?f=3&t=25149&e=1&view=unread#unread

I believe that it is likely that Column inserts will behave similarly, but I have not tested that.

This is my first attempt at reporting a bug--apologies if I messed anything up...
Regards,
Josh
Steps To ReproduceDetailed at: https://forum.freecadweb.org/viewtopic.php?f=3&t=25149&e=1&view=unread#unread
Tagsspreadsheet

Activities

eivindkvedalen

2017-11-04 20:38

developer   ~0010373

Please test my branch at https://github.com/eivindkv/FreeCAD/tree/Fix_issue_3225 and see if this resolves your problem. This branch is based on current master.

wmayer

2017-11-08 22:21

administrator   ~0010398

https://github.com/FreeCAD/FreeCAD/commit/5fe7a9af712b8255bc28cc2255250c81d32f7340

Issue History

Date Modified Username Field Change
2017-11-02 20:22 JoshM New Issue
2017-11-03 03:56 Kunda1 Tag Attached: spreadsheet
2017-11-03 03:57 Kunda1 Assigned To => eivindkvedalen
2017-11-03 03:57 Kunda1 Status new => assigned
2017-11-04 20:38 eivindkvedalen Note Added: 0010373
2017-11-08 22:21 wmayer Status assigned => closed
2017-11-08 22:21 wmayer Resolution open => fixed
2017-11-08 22:21 wmayer Fixed in Version => 0.17
2017-11-08 22:21 wmayer Note Added: 0010398